petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSGetStepRejections

Gets the total number of rejected steps.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetStepRejections(TS ts,PetscInt *rejects)

Not Collective

### Input Parameter

ts - TS context

### Output Parameter

rejects - number of steps rejected

### Notes

This counter is reset to zero for each successive call to TSSolve().

### Keywords

TS, get, number

### See Also

TSGetSNESIterations(), TSGetKSPIterations(), TSSetMaxStepRejections(), TSGetSNESFailures(), TSSetMaxSNESFailures(), TSSetErrorIfStepFails()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex8.c.html